using System;
using System.Threading;
class JoinTest
{
    static int total = 0;

    static void Adder()
    {
        for (int i = 0; i < 100000; i++)
            total += i;
    }
    static void Main(string[] args)
    {
        Thread thread1 = new Thread(new ThreadStart(Adder));
        thread1.Start();
        //thread1.Join();
        Console.WriteLine("The total= " + total);
        Console.Read();
    }
}
